Bug 107952 - EDITING: Undo of formula changes doesn't show affected cells
Summary: EDITING: Undo of formula changes doesn't show affected cells
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Dennis Francis
URL:
Whiteboard: target:6.0.0 target:5.4.2
Keywords: bibisectRequest, regression
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2017-05-19 09:28 UTC by Thomas Lendo
Modified: 2017-09-12 19:05 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-05-19 09:28:11 UTC
When using the Undo feature I expect that the canvas view of Calc will jump to the cell where something will be took back. With that I can see what is being undone and can stop taking changes back.

If styles formatting (not direct formatting) or formula changes are affected, then the canvas view doesn't bring the user back to that cell.

It must be (at least) partly a regression because formula changes are shown in LibO 3.3.0 but not in current versions.

Version: 5.3.1.2
Build ID: e80a0e0fd1875e1696614d24c32df0f95f03deb2
CPU Threads: 8; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; Locale: de-DE (de_DE); Calc: CL

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4


Steps to reproduce:
1. Open a new Calc document.
2. A1: insert text
3. B1: insert a style of the Styles and Formatting sidebar like "Bad"
4. C1: insert a formula like =C2+C3
5. C1: change the formula to =C2+C3+C4
6. D1: apply a direct formatting feature like Bold or Align right
7. Go down to row 100 so that the first row isn't visible.
8. Take back a change and see if the view jumps to the first row.
9. If the view jumps, go back to row 100 and take back another change.

Actual result:
Canvas view jumps back to row 1 when undoing the changes in D1 and A1 but not in C1 and B1.

Expected result:
All changes should be visible to the user.
Comment 1 Buovjaga 2017-06-03 09:06:07 UTC
The only change where it does not jump in 3.6 is B1, so let's add a bibisectRequest to find out what broke C1 jump.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.5.0.0.alpha0+
Build ID: c855400e9686ddd8bcba5691393f839f6f52c966
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on June 2nd 2017

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 2 Commit Notification 2017-09-07 01:39:46 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f2c29539d52095ea7b914b20ef7f564469d2aa96

tdf#107952: Move cursor to changed cell after undo/redo in ScUndoSetCell

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-09-07 12:19:43 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f69cdbe0252a2c70a2a7db1157b06a3041bd39ad&h=libreoffice-5-4

tdf#107952: Move cursor to changed cell after undo/redo in ScUndoSetCell

It will be available in 5.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Thomas Lendo 2017-09-10 11:42:20 UTC
Dennis, thank you very much for your patch!

Undo of C1 changes is now visible to the user.

Undo of B1 changes is not covered by the patch. Should I open a new bug for that?
Comment 5 Thomas Lendo 2017-09-12 19:03:58 UTC
Changing summary to "EDITING: Undo of formula changes doesn't show affected cells" to reflect that the patch is only for formula changes but not for styles formatting changes (see Bug 112358 - EDITING: Undo of style formatting doesn't show affected cells).

Set VERIFIED FIXED for changes in cell C1 as described in comment 0.

Thank you for your work, Dennis!